Knowledge Base


Windows 8 Compatibility & Studio One 2

Windows 8 Compatibility Page:

If you own a newer PC with Windows 8 installed as the Operating System software environment, you will need to have at least Version 2.6 of Studio One installed. For many customers that have a physical installation CD/DVD, the version on the disc has a high likelihood of being older than this.

PLEASE DO NOT INSTALL Studio One 2 from a CD or DVD Disc!!!

Instead, download the most current release for Studio One following the instructions on this Knowledge Base Document:

Was this article helpful?
9 out of 9 found this helpful
Have more questions? Submit a request
Powered by Zendesk